<template>
    <div>
        <CompanyForm :company="company" v-on:submit="edit" v-on:back="back"></CompanyForm>
    </div>
</template>

<script>
import CompanyForm from './Company.Form.vue';
import { editCompany } from '@/api/companies.service.js';
export default {
    computed:{
        company(){
            return this.$store.getters.getCurrentCompany;
        }
    },
    methods: {
        edit: function () {
            editCompany(this.company._id,this.company).then((response) => {
                this.$router.go(-1);
            }).catch((error) => {
                console.log(error);
                this.msg = "une erreur s'est produite, Veuillez réssayez";
                this.color = "red";
            })

        },
        back: function () {
            this.$router.go(-1);
        }
    },
    created(){
        this.$store.dispatch('setCompanyById',this.$route.params.id);
    },
    components: {
        CompanyForm
    }
}
</script>

<style>

</style>
